## oggfwd 0.2

=== Makefile ===
PROG =		oggfwd
SRC =		oggfwd.c
MAN =		oggfwd.1

PREFIX ?=	/usr/local
BINDIR ?=	${PREFIX}/bin
MAN1DIR ?=	${PREFIX}/man/man1

CC ?=		gcc
CFLAGS ?=	-O2 -pipe
CFLAGS +=	-Wall -ffast-math -fsigned-char

INSTALL =	install

PTHREADFLAGS ?=	-pthread
INCLUDEFLAGS ?=	-I${PREFIX}/include
LINKFLAGS ?=	-L${PREFIX}/lib
LINKFLAGS +=    -lshout -logg -lvorbis -ltheora -lspeex

all: ${PROG}

${PROG}: ${SRC}
	${CC} ${CFLAGS} ${PTHREADFLAGS} ${INCLUDEFLAGS} ${LINKFLAGS} -o ${PROG} $<

install: ${PROG}
	${INSTALL} -c -m 555 -o root -g bin ${PROG} ${BINDIR}
	test -d ${MAN1DIR} || ${INSTALL} -d -o root ${MAN1DIR}
	${INSTALL} -c -m 444 -o root -g bin ${MAN} ${MAN1DIR}

clean:
	-@rm -f ${PROG} *~ core *.core

=== debian/changelog ===
oggfwd (0.2-6build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:37:35 +0000

oggfwd (0.2-6) unstable; urgency=low

  * Add debian/patches/003_link_order.patch:
    - Fix link order to list libraries after the objects that require them
      (Closes: #641427) Thanks to Colin Watson <cjwatson@ubuntu.com>
  * Bump Standards-Version to 3.9.2: nothing needs to be changed
  * Fix lintian warning: description-synopsis-starts-with-article

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 14 Sep 2011 08:48:03 +0800

oggfwd (0.2-5) unstable; urgency=low

  * Use DebSrc3.0 quilt format. (Closes: #538577)
  * debian/copyright: Use machine readable format
  * Bump standard version to 3.8.3: nothing needs change
  * Add patch tags.
  * debian/rules: Use debhelper 7

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 17 Dec 2009 21:47:10 +0800

oggfwd (0.2-4) unstable; urgency=low

  * Fix quilt -p0 patches (Closes: #485355)
  * Remove debian/watch because the upstream remove the tarball release
    (Closes: #459999)
  * Use Homepage in debian/control instead of pseudo field in description
  * debian/patches/002_oggfwd-exit-status.patch
    - Fix exit status 0 on connection error (Closes: #515333)
    - Thanks to <hhaamu@gmail.com>
    - Upstream also accepts this patch in the bzr
  * Bump standard version to 3.8.2 - nothing to change
  * Refine debian/copyright

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 23 Jul 2009 14:58:47 +0800

oggfwd (0.2-3) unstable; urgency=low

  * Remove unnecessary linked libraries
  * Remove unnecessary blank lines in debian/copyright
  * Refine the pseudo homepage header in debian/control
  * Add a Tag field to the binary package, using the data from debtags

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Fri,  9 Feb 2007 01:43:26 +0800

oggfwd (0.2-2) unstable; urgency=low

  * Add copyright license of oggfwd.1 in debian/copyright

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Thu, 24 Aug 2006 02:06:24 +0800

oggfwd (0.2-1) unstable; urgency=low

  * Initial release (Closes: #336697)

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Tue, 15 Aug 2006 14:28:53 +0800

=== debian/control ===
Source: oggfwd
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Uploaders: Christoph Haas <haas@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libshout3-dev (>= 2.1), quilt (>= 0.40)
Standards-Version: 3.9.2
Homepage: http://v2v.cc/~j/oggfwd/

Package: oggfwd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: icecast2
XB-Tag: implemented-in::c, interface::commandline, network::client, role::program, scope::utility, works-with-format::oggtheora, works-with-format::oggvorbis, works-with::audio, works-with::video
Description: basic icecast source client for audio and video streaming
 oggfwd is a simple source client to forward an ogg file to an Icecast 2
 streaming server. It forwards audio or video ogg files read from stdin.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/oggfwd \
		PREFIX=$(CURDIR)/debian/oggfwd/usr \
		MAN1DIR=$(CURDIR)/debian/oggfwd/usr/share/man/man1

## oggfwd 0.2%2Bgit20150412.506088e

=== debian/control ===
Source: oggfwd
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>,
           Christoph Haas <haas@debian.org>
Build-Depends: debhelper-compat (= 13),
               libshout-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/multimedia-team/oggfwd
Vcs-Git: https://salsa.debian.org/multimedia-team/oggfwd.git
Homepage: https://r-w-x.org/r/oggfwd
Rules-Requires-Root: no

Package: oggfwd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: icecast2
Description: basic icecast source client for audio and video streaming
 oggfwd is a simple source client to forward an ogg file to an Icecast 2
 streaming server. It forwards audio or video ogg files read from stdin.

## oggfwd 0.2+git20150412.506088e

=== Makefile ===
--- 
+++ 
@@ -15,12 +15,12 @@
 PTHREADFLAGS ?=	-pthread
 INCLUDEFLAGS ?=	-I${PREFIX}/include
 LINKFLAGS ?=	-L${PREFIX}/lib
-LINKFLAGS +=    -lshout -logg -lvorbis -ltheora -lspeex
+LINKFLAGS +=    -lshout
 
 all: ${PROG}
 
 ${PROG}: ${SRC}
-	${CC} ${CFLAGS} ${PTHREADFLAGS} ${INCLUDEFLAGS} ${LINKFLAGS} -o ${PROG} $<
+	${CC} ${CFLAGS} ${PTHREADFLAGS} ${INCLUDEFLAGS} -o ${PROG} $< ${LINKFLAGS}
 
 install: ${PROG}
 	${INSTALL} -c -m 555 -o root -g bin ${PROG} ${BINDIR}

=== debian/changelog ===
oggfwd (0.2+git20150412.506088e-2) unstable; urgency=medium

  * Add ID to Uploaders (requirement for ITS #1091832)
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 16 Dec 2025 14:15:49 +0100

oggfwd (0.2+git20150412.506088e-1) unstable; urgency=medium

  * Team upload.
  * Latest Git commit
    Closes: #1080229
  * Maintain package in Debian Multimedia team
    Closes: #1091832
  * New homepage
  * Point watch file to Git repository
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use versioned copyright format URI.
  * Support rootless builds
    Closes: #1089404
  * d/copyright:
     - Review and syntax fixes
     - Fix DEP5 names
  * d/control: debtags should not be mentioned in d/control any more

 -- Andreas Tille <tille@debian.org>  Thu, 02 Jan 2025 19:41:02 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>,
-           Christoph Haas <haas@debian.org>
+           Christoph Haas <haas@debian.org>,
+           Andreas Tille <tille@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libshout-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/multimedia-team/oggfwd
 Vcs-Git: https://salsa.debian.org/multimedia-team/oggfwd.git
 Homepage: https://r-w-x.org/r/oggfwd

=== debian/watch ===
Version: 5

Source: https://r-w-x.org/r/oggfwd.git
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 0.2+git%cd.%h
